import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bar2 that move to bottom of the screen. When the y > 478 than the Bar2 will
 * destroy itself.
 * 
 * @author Folkert van Verseveld 
 * @version 0.1.0
 */
public class Bar2  extends Actor
{
    /**
     * Act - do whatever the Bar wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (((PoppiWorld) getWorld()).GameStarted)
        {
            Poppi poppi = (Poppi) getOneIntersectingObject(Poppi.class);
            if (poppi != null && poppi.getY() + 24 < getY() && poppi.getVspeed() > 0 && !poppi.getHealthDead()) {
                Greenfoot.playSound("high_jump.wav");
                poppi.highJump();
                ((PoppiWorld) getWorld()).counter.add(10);
            }
            setLocation(getX(), getY() + 2);
            if (getY() > 478)
            {
                getWorld().removeObject(this);
            }
        }
    }    
}
